# /packages/sencha-task-editor/lib/task-editor.tcl
#
# Copyright (C) 2012 ]project-open[
#
# All rights reserved. Please check
# https://www.project-open.com/license/ for details.

# ----------------------------------------------------------------------
# 
# ---------------------------------------------------------------------

set current_user_id [ad_conn user_id]

# The following variables are expected in the environment
# defined by the calling /tcl/*.tcl libary:
#	project_id

set data_list {}

# project_id may be overwritten by SQLs below
set main_project_id $project_id
im_project_permissions $current_user_id $main_project_id view_p read_p write_p admin_p


# Create a random ID for the task_editor
set task_editor_rand [expr round(rand() * 100000000.0)]
set task_editor_id "task_editor_$task_editor_rand"

# Start and end time for default combo box with time entry options
set time_entry_store_start_hour [parameter::get_from_package_key -package_key "intranet-timesheet2-interval" -parameter TimeEntryStoreStartHour -default "9"]
set time_entry_store_end_hour [parameter::get_from_package_key -package_key "intranet-timesheet2-interval" -parameter TimeEntryStoreEndHour -default "19"]
set week_start_day [parameter::get_from_package_key -package_key "intranet-timesheet2" -parameter WeekStartDay -default 1]

set please_add_note_required_l10n [lang::message::lookup "" intranet-timesheet2-inverval.Please_add_a_note_required "Please add a note (required)"]


# Default material and Unit of Measure: "Default" and "Hour"
set default_material_id [im_material_default_material_id]
set default_cost_center_id [im_cost_center_company]
set default_uom_id [im_uom_hour]

# 9722 = 'Fixed Work' is the default effort_driven_type
set default_effort_driven_type_id [parameter::get_from_package_key -package_key "intranet-ganttproject" -parameter "DefaultEffortDrivenTypeId" -default "9722"]


# Create a debug JSON object that controls logging verbosity
set debug_default "default 0"
set debug_list [parameter::get_from_package_key -package_key "intranet-gantt-editor" -parameter DebugHash -default $debug_default]
array set debug_hash $debug_list
set debug_json_list {}
foreach id [array names debug_hash] { lappend debug_json_list "'$id': $debug_hash($id)" }
set debug_json "{\n\t[join $debug_json_list ",\n\t"]\n}"

